Texa Desk Application API · Custom attributes
Get a custom attribute details
GET/
Get the details of a custom attribute in the account
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
idnumberrequiredID of the custom attribute
account_idintegerrequiredThe numeric ID of the account
idintegerrequiredThe ID of the custom attribute to be updated.
Responses
200Success
idintegerIdentifier
attribute_display_namestringAttribute display name
attribute_display_typestringAttribute display type (text, number, currency, percent, link, date, list, checkbox)
attribute_descriptionstringAttribute description
attribute_keystringAttribute unique key value
regex_patternstringRegex pattern
regex_cuestringRegex cue
attribute_valuesstringAttribute values
attribute_modelstringAttribute type(conversation_attribute/contact_attribute)
default_valuestringAttribute default value
created_atstringThe date and time when the custom attribute was created
updated_atstringThe date and time when the custom attribute was updated
401Unauthorized
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring404The given attribute ID does not exist in the account
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring